package com.sunxung.factoring.entity.sys.vo;

import java.util.List;

import com.sunxung.factoring.entity.sys.Org;
import com.sunxung.factoring.entity.sys.User;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description 组织结构辅助类
 * @author 江静
 * @date 2017年2月20日 下午3:06:18
 * @version 1.0
 */
@Getter
@Setter
public class OrgTreeNode {

    private Long parentId;
    private Long id;
    private String name;
    private Boolean isParent = true;
    private boolean open = true;
    private List<OrgTreeNode> children;
    /**
     * true表示是用户，false表示是部门
     **/
    private boolean type;

    public OrgTreeNode() {
    }

    public OrgTreeNode(Org org) {
        this.id = org.getId();
        this.name = org.getName();
        if(org.getParent()==null){
            this.setParentId(0L);
        }else{
            this.parentId =org.getParent().getId();
        }
        this.isParent = org.getSubCount() > 0 ? true : false;
    }

    public OrgTreeNode(User user, boolean type) {
        this.id = user.getId();
        this.name = user.getName();
        this.type = type;
    }


}
